# **Zoom Anti-Spyware: Fully Remove Zoom and Its Hidden Garbage**

Zoom: It's not just a video conferencing tool; it's a **clutter factory** and, arguably, **spyware**. While you think uninstalling Zoom via macOS is enough, think again. Zoom loves to fill your computer with background services, spyware-like components, and files that persist across uninstallation attempts—making it behave more like malware than a meeting tool.

---

## **What This Script Does**

This script:
- Stops any sneaky Zoom processes, daemons, and auto-start services.
- Deletes every trace of Zoom from your system: applications, support files, logs, caches, daemons, and receipts.
- Ensures Zoom cannot "mysteriously" reinstall itself after you’ve told it to leave.
- Verifies that your system is truly Zoom-free.

---

## **Why You Should Care**

Here’s why you should *really* think twice about trusting Zoom:

1. **A Spyware-Like Trail**: Zoom installs unnecessary daemons and leaves long-living cruft all over your filesystem.
2. **Persistent Reinstallation**: Even when you uninstall it through macOS, Zoom’s services stay behind and can reinstall the app without your consent.
3. **Exposed for Lying to Customers**: Zoom has a long history of leaking customer data and misleading its users about security and privacy practices.
4. **Suspicious EULA**: Their End-User License Agreement is vague and troubling, giving Zoom access to far more data than you might expect.
5. **Shady Business Practices**: Zoom hires well-known, high-reputation figures as a smokescreen for what are likely unethical data practices.

Why tolerate all this from a tool that should just help you join a meeting?

---

## **Quick Start: Uninstall Zoom in One Command**

Run this single command in your terminal to remove Zoom entirely. **Ensure you trust the script source before running this.**

```bash
curl -s https://git.nixc.us/colin/zoom-antispyware/raw/branch/main/uninstall-zoom.sh | bash
```

This will:
1. Download the `uninstall-zoom.sh` script from the repository.
2. Execute the script to completely remove Zoom and all its junk files.

---

## **What’s Inside the Script?**

Here’s what the script does:
1. Stops any Zoom-related background processes and daemons using `launchctl`.
2. Deletes Zoom and all its related files from these directories:
   - `/Applications`
   - `~/Library/Application Support`
   - `/Library/PrivilegedHelperTools`
   - `/Library/LaunchDaemons`
   - System caches, logs, and receipts
3. Ensures no persistent components remain.
4. Recommends rebooting your system to clear any lingering processes or cached services.

---

## **Why You Can’t Just Drag Zoom to the Trash**

Uninstalling Zoom the "normal" way through macOS doesn’t remove:
- Background services like `ZoomDaemon` that continue to run in the background.
- Files in hidden system directories that allow Zoom to reinstall itself.
- Junk that clogs your system long after you’ve "uninstalled" the app.

Zoom is notorious for hiding files in places you wouldn’t expect and running processes you didn’t agree to.

---

## **How to Verify Zoom Is Gone**

Once you’ve run the script, double-check that no Zoom files remain on your system:

```bash
find ~/Library /Library -iname "*zoom*" 2>/dev/null
```

If no files appear, you’re finally free of Zoom’s spyware-like grasp.

---

## **A Final Word on Zoom**

Zoom has proven itself to be:
- **Dishonest**: Exposed multiple times for leaking user data and misleading customers.
- **Overreaching**: Filling your filesystem with junk and running unnecessary services.
- **Untrustworthy**: Their suspicious EULA and shady practices show a lack of respect for users' privacy.

By removing Zoom from your computer, you’re taking back control over your system and protecting your data from a company that has shown it doesn’t deserve your trust.

---

## **Feedback or Issues?**

Found something the script missed? Open an issue or submit a PR on this repository. Let’s make sure Zoom finally cleans up after itself.